Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/ranger: new aport

Ivan Tham
Details
Message ID
<20170305082626.27700-1-pickfire@riseup.net>
Sender timestamp
1488702386
DKIM signature
missing
Download raw message
Patch: +26 -0
http://ranger.nongnu.org/
A VIM-inspired filemanager for the console
---
 testing/ranger/APKBUILD | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 testing/ranger/APKBUILD

diff --git a/testing/ranger/APKBUILD b/testing/ranger/APKBUILD
new file mode 100644
index 0000000..05dd412
--- /dev/null
+++ b/testing/ranger/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=ranger
+pkgver=1.8.1
+pkgrel=0
+pkgdesc="A VIM-inspired filemanager for the console"
+url="http://ranger.nongnu.org/"
+arch="noarch"
+license="GPL3"
+depends=""
+makedepends="python3-dev"
+subpackages="$pkgname-doc" # TODO: Add subpackages for python2
+source="http://${pkgname}.nongnu.org/${pkgname}-${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+check() {
+	cd "$builddir"
+	make test
+}
+
+package() {
+	cd "$builddir"
+	make install DESTDIR="$pkgdir" PYTHON=/usr/bin/python3 || return 1
+}
+
+sha512sums="40450d4e80017ac62d60ea6de231c10496fec1680f15a14006d3b87aae7f34cb2dbb6b810ced89527a4cba2975dcd6c037217e86fa806a0ba3cd39dc7dee8f04  ranger-1.8.1.tar.gz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---